pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/42155: lang/perl5 vs. DB_File module required for www/ikiwiki

 >>  perl5 is imho too important to risk breaking for a Linux fix that may
 >>  cause unforseen problems on other platforms. Please hold this until
 >>  after the branch, but feel free to request a pullup later, after it's
 >>  gotten some testing.
>  If I understand correctly there were no objections against commiting.
>  Freeze is in the past. I've checked patch perl under NetBSD-5/pkgsrc-2009Q3.
>  It is built fine and PLIST doesn't change.
>  perl -V also doesn't show significant difference.

My patch introduces the problem.

After some thoughts I came to a conclusion that it is better to revert my
original proposal and to *remove* DB_File extension from perl on all
platforms including NetBSD. In this case perl will become lighter and
packages requering DB_Fill (e.g. ikiwiki) should depend on

Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index